| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GaudiHandleInfo Class Reference

`#include <GaudiHandle.h>`

Inheritance diagram for GaudiHandleInfo:

[legend]
Collaboration diagram for GaudiHandleInfo:

[legend]
List of all members.

## Detailed Description

Definition at line 14 of file GaudiHandle.h.

## Public Member Functions
virtual | ~GaudiHandleInfo ()
| virtual destructor so that derived class destructor is called.
const std::string & | componentType () const
const std::string & | propertyName () const
| name as used in declareProperty(name,gaudiHandle)
void | setPropertyName (const std::string &propName)
| set name as used in declareProperty(name,gaudiHandle).
const std::string & | parentName () const
| The name of the parent.
virtual const std::string | pythonPropertyClassName () const=0
| The python class name for the property in the genconf-generated configurables.
virtual const std::string | pythonRepr () const=0
| Python representation of handle, i.e.
## Protected Member Functions
| GaudiHandleInfo (const std::string &myComponentType, const std::string &myParentName)
| Some basic information and helper functions shared between various handles/arrays.
## Private Attributes
std::string | m_componentType
std::string | m_propertyName
std::string | m_parentName

## Constructor & Destructor Documentation

GaudiHandleInfo::GaudiHandleInfo | ( | const std::string & | myComponentType,
|  | const std::string & | myParentName |
| ) |  |  | `[inline, protected]`

Some basic information and helper functions shared between various handles/arrays.

Parameters:

  | myComponentType,: | string indicating what type of component the handle is pointing to. For example: "PublicTool", "PrivateTool", "Service". This is used for printout and on the python side for type checking. On the python side there are classes with these names with "Handle" appended: PublicToolHandle,PrivateToolHandle,ServiceHandle
  | myParentName,: | Name of the parent that has this handle as a member. Used in printout.

Definition at line 24 of file GaudiHandle.h.

    00025     : m_componentType(myComponentType), m_parentName(myParentName)
    00026   {}

virtual GaudiHandleInfo::~GaudiHandleInfo | ( |  | ) | `[inline, virtual]`

virtual destructor so that derived class destructor is called.

Definition at line 29 of file GaudiHandle.h.

    00029 {}

## Member Function Documentation

const std::string& GaudiHandleInfo::componentType | ( |  | ) | const`[inline]`

Definition at line 33 of file GaudiHandle.h.

References m_componentType.

Referenced by GaudiHandle< IToolSvc >::assertObject(), GaudiHandleArrayBase::pythonPropertyClassName(), and GaudiHandleBase::pythonPropertyClassName().

    00033                                          {
    00034      return m_componentType;
    00035   }

const std::string& GaudiHandleInfo::propertyName | ( |  | ) | const`[inline]`

name as used in declareProperty(name,gaudiHandle)

Definition at line 38 of file GaudiHandle.h.

References m_propertyName.

Referenced by GaudiHandleBase::messageName(), and operator<<().

    00038                                         {
    00039      return m_propertyName;
    00040   }

void GaudiHandleInfo::setPropertyName | ( | const std::string & | propName | ) | `[inline]`

set name as used in declareProperty(name,gaudiHandle).

Used in printout.

Definition at line 43 of file GaudiHandle.h.

References m_propertyName.

Referenced by GaudiHandleArrayProperty::GaudiHandleArrayProperty().

    00043                                                     {
    00044     m_propertyName = propName;
    00045   }

const std::string& GaudiHandleInfo::parentName | ( |  | ) | const`[inline]`

The name of the parent.

Definition at line 48 of file GaudiHandle.h.

References m_parentName.

Referenced by GaudiHandleBase::messageName().

    00048                                       {
    00049     return m_parentName;
    00050   }

virtual const std::string GaudiHandleInfo::pythonPropertyClassName | ( |  | ) | const`[pure virtual]`

The python class name for the property in the genconf-generated configurables.

The python class is defined in GaudiPython/python/GaudiHandles.py. To be implemented in derived class.

Implemented in GaudiHandleBase, and GaudiHandleArrayBase.

virtual const std::string GaudiHandleInfo::pythonRepr | ( |  | ) | const`[pure virtual]`

Python representation of handle, i.e.

python class name and argument. Can be used in the genconf-generated configurables. The corresponding python classes are defined in GaudiPython/GaudiHandles.py. To be implemented in derived class.

Implemented in GaudiHandleBase, and GaudiHandleArrayBase.

Referenced by operator<<().

## Member Data Documentation

std::string GaudiHandleInfo::m_componentType`[private]`

Definition at line 67 of file GaudiHandle.h.

Referenced by componentType().

std::string GaudiHandleInfo::m_propertyName`[private]`

Definition at line 68 of file GaudiHandle.h.

Referenced by propertyName(), and setPropertyName().

std::string GaudiHandleInfo::m_parentName`[private]`

Definition at line 69 of file GaudiHandle.h.

Referenced by parentName().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/GaudiHandle.h